import { getTrueSize } from '../utils'

export default {
  darkMode: true,
  grid: {
    top: getTrueSize(20),
    bottom: getTrueSize(40),
  },
  xAxis: {
    type: 'category',
    data: undefined,
    axisLabel: {
      fontSize: '0.75rem',
    },
    axisLine: {
      lineStyle: {
        width: getTrueSize(1),
      },
    },

  },
  yAxis: {
    type: 'value',
    axisLabel: {
      fontSize: '0.75rem',
    },
    axisLine: {
      lineStyle: {
        width: getTrueSize(1),
      },
    },
  },
  series: [{
    type: 'bar',
    data: undefined,
    barWidth: getTrueSize(16),
    itemStyle: {
      color: {
        type: 'linear',
        x: 0,
        y: 0,
        x2: 0,
        y2: 1,
        colorStops: [{
          offset: 0,
          color: '#FEDB65',
        }, {
          offset: 1,
          color: '#07BA74',
        }],
      },
    },
    label: {
      show: false,
    },
    showBackground: false,
  }],
}
